io.agora.rtc

## Class AudioSinkWants

- java.lang.Object
- - io.agora.rtc.AudioSinkWants

-     public class AudioSinkWants
      extends java.lang.Object

  Audio sink wants configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `channels` Number of audio channels
    `private int` | `samplesPerSec` Sample rate in samples per second

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioSinkWants()` Default constructor for AudioSinkWants.
    `AudioSinkWants(int samplesPerSec, int channels)` Constructs AudioSinkWants with sample rate and channels.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChannels()` Gets the number of audio channels.
    `int` | `getSamplesPerSec()` Gets the sample rate in samples per second.
    `void` | `setChannels(int channels)` Sets the number of audio channels.
    `void` | `setSamplesPerSec(int samplesPerSec)` Sets the sample rate in samples per second.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### samplesPerSec

          private int samplesPerSec

      Sample rate in samples per second

    - #### channels

          private int channels

      Number of audio channels

  - ### Constructor Detail

    - #### AudioSinkWants

          public AudioSinkWants()

      Default constructor for AudioSinkWants.

    - #### AudioSinkWants

          public AudioSinkWants(int samplesPerSec,
                                int channels)

      Constructs AudioSinkWants with sample rate and channels.
      Parameters:
        `samplesPerSec` - Sample rate in samples per second
        `channels` - Number of audio channels

  - ### Method Detail

    - #### getSamplesPerSec

          public int getSamplesPerSec()

      Gets the sample rate in samples per second.
      Returns:
        Sample rate in samples per second

    - #### setSamplesPerSec

          public void setSamplesPerSec(int samplesPerSec)

      Sets the sample rate in samples per second.
      Parameters:
        `samplesPerSec` - Sample rate in samples per second

    - #### getChannels

          public int getChannels()

      Gets the number of audio channels.
      Returns:
        Number of audio channels

    - #### setChannels

          public void setChannels(int channels)

      Sets the number of audio channels.
      Parameters:
        `channels` - Number of audio channels